Toggle menu
7
505
3
1.1K
New York ARTCC
Toggle preferences menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

MediaWiki:Citizen.css

MediaWiki interface page
Revision as of 00:37, 27 March 2026 by Admin (talk | contribs) (Import Citizen.css from wiki-dev.nyartcc.org)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Internet Explorer / Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5
  • Opera: Press Ctrl-F5.
/* All CSS here will be loaded for users of the Citizen skin */

/* - - - - - - - - - - -
   // General
*/

[rel="discussion"] { display: none!important; }

.changed {
    border-left: 0.25em solid green;
    padding-left: 1em;
}

:root {
    --nyartcc-background-color-table-header: hsl(220deg 98.19% 85.07%);
}

:root.skin-citizen-dark {
    --nyartcc-background-color-table-header: hsl(220deg 47.11% 27.96%);
}

/* - - - - - - - - - - -
   // General - Flow Elements
*/

div.clearfix {
    height: 1em;
    clear: both;
}

.flex {
    display: flex;
}

.flex > * {
    margin: 1em;
    flex-grow: 1;
    flex-shrink: 1;
}

/* - - - - - - - - - - -
   // General - Component Styles
*/

.tabber {
    border-bottom: 1px solid var(--border-color-base--darker);
    padding-bottom: 1em;
}

/* - - - - - - - - - - -
   // General - Text Styles
*/

.h-text {
    margin: 0;
    margin-bottom: 0.25em;
    margin-top: 2em;
    font-weight: var(--font-weight-semibold);
    line-height: var(--line-height-xs);
    color: var(--color-base--emphasized);
}

h2.citizen-section-heading {
    border-bottom: 2px solid;
    border-color: var(--border-color-base--darker);
}

/* - - - - - - - - - - -
   // General - Tables
*/

th {
    text-align: left;
}

table td:not(:last-child) {
    padding-right: 1em;
}

table.borders-full td {
    border: 1px solid var(--border-color-base--darker);
}

table.borders-full th,
table.borders-full td {
    padding-left: 0.5em
}

.table-condensed th {
    line-height: 1.5em;
    font-size: 0.8em;
}

.table-condensed td {
    font-size: 0.9em;
    line-height: 1.5em;
}

/* - - - - - - - - - - -
   // SOP - Tables
*/

table.table-sop {
    width: 100%;
    margin: 1em 0 3em;
    border-collapse: collapse;
    line-height: 2.5em;
}

th {
    padding-right: 3em;
    background-color: var(--color-surface-2);
}

table.table-sop tbody tr:first-child th {
    border-bottom: 2px solid var(--border-color-base--darker);
}

table.table-sop tbody td {
    border-bottom: 1px solid var(--border-color-base);
}

table.table-sop-compact {
    line-height: 1.6em;
}

.table-sop-sep {
    background-color: var(--color-surface-3);
    color: var(--color-base--subtle);
}

/* - - - - - - - - - - -
   // MBI - Mandatory Briefing Items
*/

.mbi-header {
    margin-bottom: 20px;
    background-color: var(--color-surface-2);
    border: 1px solid var(--color-surface-1);
    border-radius: var(--border-radius--large);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .05);
    width: 100%;
    padding: 0.25em 1em;
}

/* - - - - - - - - - - -
   // Content Editors
*/

.skin-citizen .mw-editform #wpTextbox1 {
    background-color: var(--color-surface-3);
    padding: 0.25em;
    border-radius: 1em;
}